summaryrefslogtreecommitdiffstats
path: root/deps/QScintilla/QScintilla.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-10-24 14:02:03 +0200
committer Eric Hameleers <alien@slackware.com>2018-10-24 14:02:03 +0200
commitf8c0c8d872fd4d0b8920ecabf107a99044813099 (patch)
treede6909691de61d65ea830730d53018560892ae12 /deps/QScintilla/QScintilla.SlackBuild
parent1c8065c7b7a544bc02a6eced8087de1ac1bd069f (diff)
downloadktown-f8c0c8d872fd4d0b8920ecabf107a99044813099.tar.gz
ktown-f8c0c8d872fd4d0b8920ecabf107a99044813099.tar.xz
Updates to the dependencies for upcoming Plasma5 release
The update of icu4c in -current required that several packages had to be recompiled or upgraded to get them to work again. Unfortunately the update of icu4c in -current co-incided with my release of KDE 5_18.10 and these deps had to be fixed post-release. Some issues emerged as a result of these updates: - SIP now stores private copies of sip.so in PyQt5 subdirectories, and the hp-systray in the hplip package fails to start as a result - In the new QScintilla packages, I was unable to compile the Python2 bindings for PyQt4.
Diffstat (limited to 'deps/QScintilla/QScintilla.SlackBuild')
-rwxr-xr-xdeps/QScintilla/QScintilla.SlackBuild64
1 files changed, 38 insertions, 26 deletions
diff --git a/deps/QScintilla/QScintilla.SlackBuild b/deps/QScintilla/QScintilla.SlackBuild
index cff3954..db7be4e 100755
--- a/deps/QScintilla/QScintilla.SlackBuild
+++ b/deps/QScintilla/QScintilla.SlackBuild
@@ -28,10 +28,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
-VERSION=${VERSION:-2.10.4}
+VERSION=${VERSION:-2.10.8}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j7}
+NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -91,18 +91,21 @@ export QMAKEFEATURES=${PWD}/Qt4Qt5/features/
# Conditional build of Qt5 support:
if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
+ echo "-- Compiling Qt5 support --"
# QT5 support first:
cd Qt4Qt5
+ echo "-- >> Qt4Qt5 --"
qmake-qt5 \
-o Makefile \
QMAKE_CFLAGS+="$SLKCFLAGS" \
QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
qscintilla.pro || exit 1
make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
cd -
cd designer-Qt4Qt5
+ echo "-- >> designer-Qt4Qt5 --"
qmake-qt5 \
-o Makefile \
INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
@@ -110,27 +113,30 @@ if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
designer.pro || exit 1
make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
cd -
cd Python
+ echo "-- >> Python --"
python3 configure.py \
+ --verbose \
--qmake /usr/bin/qmake-qt5 \
--pyqt=PyQt5 \
-n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
|| exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ make || exit 1
+ make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
make clean || exit 1
- python configure.py \
+ python2 configure.py \
+ --verbose \
--qmake /usr/bin/qmake-qt5 \
--pyqt=PyQt5 \
-n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
|| exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
+ make || exit 1
+ make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
cd -
# In order to compile Qt4 support next, clean up first:
@@ -140,7 +146,9 @@ if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
fi
# QT4 support:
+echo "-- Compiling Qt4 support --"
cd Qt4Qt5
+ echo "-- >> Qt4Qt5 --"
qmake \
-o Makefile \
QMAKE_CFLAGS+="$SLKCFLAGS" \
@@ -151,6 +159,7 @@ cd Qt4Qt5
cd -
cd designer-Qt4Qt5
+ echo "-- >> designer-Qt4Qt5 --"
qmake \
-o Makefile \
INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
@@ -161,23 +170,26 @@ cd designer-Qt4Qt5
make install INSTALL_ROOT=$PKG || exit 1
cd -
-cd Python
- python3 configure.py \
- --qmake /usr/bin/qmake \
- -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
-
- make clean || exit 1
-
- python configure.py \
- --qmake /usr/bin/qmake \
- -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- || exit 1
- make $NUMJOBS || exit 1
- make install INSTALL_ROOT=$PKG || exit 1
-cd -
+#cd Python
+# echo "-- >> Python --"
+# python3 configure.py \
+# --verbose \
+# --qmake /usr/bin/qmake \
+# -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+# || exit 1
+# make -j1 || exit 1
+# make -j1 install INSTALL_ROOT=$PKG || exit 1
+#
+# make clean || exit 1
+#
+# python2 configure.py \
+# --verbose \
+# --qmake /usr/bin/qmake \
+# -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+# || exit 1
+# make -j1 || exit 1
+# make -j1 install INSTALL_ROOT=$PKG || exit 1
+#cd -
# Link the shared libraries into /usr/lib${LIBDIRSUFFIX}:
( cd $PKG/usr/lib${LIBDIRSUFFIX}